Index: trunk/tests/RecordLockTest.php
===================================================================
--- trunk/tests/RecordLockTest.php	(revision 124)
+++ trunk/tests/RecordLockTest.php	(revision 136)
@@ -21,10 +21,10 @@
 
     function setUp()
-    {
+    {	
         require dirname(__FILE__) . '/_config.inc.php';
         require_once '../lib/RecordLock.inc.php';
         require_once '../lib/Auth_SQL.inc.php';
 
-        $this->Auth_SQL =& new Auth_SQL('testauth');
+        $this->Auth_SQL =& new Auth_SQL('test');
         $this->Auth_SQL->setParam(array(
             'db_table'          => 'test_user_tbl',
@@ -39,5 +39,6 @@
 
         // Insert test data.
-        DB::query("
+        $db =& DB::getInstance();
+        $db->query("
             INSERT INTO test_user_tbl (
                 username,
@@ -49,5 +50,5 @@
             ) VALUES (
                 'testuser',
-                md5('testpass'),
+                '" . $this->Auth_SQL->encryptPassword('testpass') . "',
                 'John',
                 'Doe',
@@ -57,4 +58,8 @@
         ");
         $this->Auth_SQL->login('testuser', 'testpass');
+
+        if (!$this->Auth_SQL->isLoggedIn()) {
+            trigger_error("User login failed...tests canceled.", E_USER_ERROR);
+        }
 
         $this->RecordLock =& RecordLock::getInstance($this->Auth_SQL);
@@ -67,9 +72,11 @@
     function tearDown()
     {
+		$db =& DB::getInstance();
+	
         unset($this->RecordLock);
         unset($this->Auth_SQL);
-        DB::query("DROP TABLE IF EXISTS test_user_tbl");
-        DB::query("DROP TABLE IF EXISTS test_login_tbl");
-        DB::query("DROP TABLE IF EXISTS test_lock_tbl");
+        $db->query("DROP TABLE IF EXISTS test_user_tbl");
+        $db->query("DROP TABLE IF EXISTS test_login_tbl");
+        $db->query("DROP TABLE IF EXISTS test_lock_tbl");
     }
 
Index: trunk/tests/RecordVersionTest.php
===================================================================
--- trunk/tests/RecordVersionTest.php	(revision 124)
+++ trunk/tests/RecordVersionTest.php	(revision 136)
@@ -21,5 +21,5 @@
 
     function setUp()
-    {
+    {	
         require dirname(__FILE__) . '/_config.inc.php';
         require_once '../lib/RecordVersion.inc.php';
@@ -39,5 +39,6 @@
 
         // Insert test data.
-        DB::query("
+        $db =& DB::getInstance();
+        $db->query("
             INSERT INTO test_user_tbl (
                 username,
@@ -68,9 +69,11 @@
     function tearDown()
     {
+		$db =& DB::getInstance();
+	
         unset($this->RecordVersion);
         unset($this->Auth_SQL);
-        DB::query("DROP TABLE IF EXISTS test_user_tbl");
-        DB::query("DROP TABLE IF EXISTS test_login_tbl");
-        DB::query("DROP TABLE IF EXISTS test_version_tbl");
+        $db->query("DROP TABLE IF EXISTS test_user_tbl");
+        $db->query("DROP TABLE IF EXISTS test_login_tbl");
+        $db->query("DROP TABLE IF EXISTS test_version_tbl");
     }
 
Index: trunk/tests/SessionCacheTest.php
===================================================================
--- trunk/tests/SessionCacheTest.php	(revision 124)
+++ trunk/tests/SessionCacheTest.php	(revision 136)
@@ -4,5 +4,5 @@
 
 /**
- * PHPUnit test case for SessionCache
+ * PHPUnit test case for Cache
  *
  * The method skeletons below need to be filled in with
@@ -13,9 +13,9 @@
  */
 require_once 'PHPUnit.php';
-class SessionCacheTest extends PHPUnit_TestCase {
+class CacheTest extends PHPUnit_TestCase {
 
-    var $SessionCache;
+    var $Cache;
 
-    function SessionCacheTest($name)
+    function CacheTest($name)
     {
         $this->PHPUnit_TestCase($name);
@@ -25,16 +25,16 @@
     {
         require dirname(__FILE__) . '/_config.inc.php';
-        require_once '../lib/SessionCache.inc.php';
-        $this->SessionCache =& new SessionCache(PARAM);
+        require_once '../lib/Cache.inc.php';
+        $this->Cache =& new Cache(PARAM);
     }
 
     function tearDown()
     {
-        unset($this->SessionCache);
+        unset($this->Cache);
     }
 
     function test_getinstance()
     {
-        $result = $this->SessionCache->getinstance(PARAM);
+        $result = $this->Cache->getinstance(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -43,5 +43,5 @@
     function test_setparam()
     {
-        $result = $this->SessionCache->setparam(PARAM);
+        $result = $this->Cache->setparam(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -50,5 +50,5 @@
     function test_getparam()
     {
-        $result = $this->SessionCache->getparam(PARAM);
+        $result = $this->Cache->getparam(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -57,5 +57,5 @@
     function test_putcache()
     {
-        $result = $this->SessionCache->putcache(PARAM);
+        $result = $this->Cache->putcache(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -64,5 +64,5 @@
     function test_getcache()
     {
-        $result = $this->SessionCache->getcache(PARAM);
+        $result = $this->Cache->getcache(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -71,5 +71,5 @@
     function test_iscached()
     {
-        $result = $this->SessionCache->iscached(PARAM);
+        $result = $this->Cache->iscached(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -78,5 +78,5 @@
     function test_breakcache()
     {
-        $result = $this->SessionCache->breakcache(PARAM);
+        $result = $this->Cache->breakcache(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -85,5 +85,5 @@
 }
 // Running the test.
-$suite = new PHPUnit_TestSuite('SessionCacheTest');
+$suite = new PHPUnit_TestSuite('CacheTest');
 $result = PHPUnit::run($suite);
 echo $result->toString();
Index: trunk/tests/_config.inc.php
===================================================================
--- trunk/tests/_config.inc.php	(revision 124)
+++ trunk/tests/_config.inc.php	(revision 136)
@@ -1,5 +1,5 @@
 <?php
 require_once '../lib/App.inc.php';
-$app =& App::getinstance('testapp');
+$app =& App::getInstance('testapp');
 
 $app->setParam(array(
